> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rag.now/llms.txt
> Use this file to discover all available pages before exploring further.

# Update knowledgebase items

> Update knowledgebase item for the current org.



## OpenAPI

````yaml put /api/connect/knowledgebase-items
openapi: 3.0.3
info:
  title: Graphite API Documentation
  description: API documentation for Graphite
  version: 1.0.0
servers: []
security: []
paths:
  /api/connect/knowledgebase-items:
    put:
      summary: Update knowledgebase items
      description: Update knowledgebase item for the current org.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PartialKnowledgeBaseUpdateBody'
      responses:
        '200':
          description: Default Response
components:
  schemas:
    PartialKnowledgeBaseUpdateBody:
      type: array
      items:
        type: object
        properties:
          id:
            type: string
          title:
            type: string
          visibility:
            type: string
            enum:
              - public
              - internal
        required:
          - id

````